Package relaxngcc.codedom

# Class CDIfStatement

java.lang.Object
relaxngcc.codedom.CDIfStatement

All Implemented Interfaces:
  `CDStatement`

public class CDIfStatement extends Object implements CDStatement

## Constructor Summary

Constructors
Constructor
Description
`CDIfStatement(CDExpression expr)`

## Method Summary

Modifier and Type
Method
Description
`CDBlock`
`_else()`
`CDBlock`
`_then()`
`void`
`setElseBlock(CDBlock b)`
`void`
`setThenBlock(CDBlock b)`
`void`
`state(CDFormatter f)`
Prints itself as a statement.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDIfStatement

public CDIfStatement(CDExpression expr)

## Method Details

### setThenBlock

public void setThenBlock(CDBlock b)

### _then

public CDBlock _then()

### setElseBlock

public void setElseBlock(CDBlock b)

### _else

public CDBlock _else()

### state

public void state(CDFormatter f) throws IOException
Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `IOException`